CURLINFO_SCHEME(3)

NAME
CURLINFO_SCHEME - get the URL scheme (sometimes called protocol) used in the connection

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_SCHEME, long *p);

DESCRIPTION
Pass a pointer to a char pointer to receive the pointer to a zero-terminated string holding the URL scheme used for the most recent connection done with this curl handle.

The id pointer will be NULL or pointing to private read-only memory you MUST NOT free or modify.

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
  res = curl_easy_perform(curl);
  if(res == CURLE_OK) {
    char * scheme;
    curl_easy_getinfo(curl, CURLINFO_SCHEME, &scheme);
  }
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.52.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLINFO_RESPONSE_CODE(3), curl_easy_getinfo(3), curl_easy_setopt(3),